package edu.unl.consystlab.gui;

import java.awt.Container;

import javax.swing.JFrame;

public class GrapherFrame extends JFrame
{
    public static final int H = 200;
    public static final int W = 300;
    public static final int MSEC = 100;
    public static final int N = 30;
   
    private Container container;    
    
    public GrapherFrame(String name, Graphable g, int num, int msec)
    {
        super(name);
        container = this.getContentPane();
        container.add(new GrapherComponent(g,num,msec));

        this.setSize(W,H);
        this.show();
        
    }

}
